class SpecificationsController < ApplicationController

  caches_page :list, :show
  protect_from_forgery :only => [:create]

  
  def index
    @recent_docs = session[:authorized_google_docs].to_a.map do |entry|
      hpricot = (Hpricot(File.read("tmp/cache/#{entry}.html")))
      { :specification_id=>entry,
        :title=> GoogleDoc.title(hpricot)
        }
      end

    #render :text=> @google_data_session.client.get("https://docs.google.com/feeds/documents/private/full").body
    @remote_docs = @google_data_session.get_remote_docs
  end
  
  def new
    id = params[:google_doc_id]#.to_s.split("\&")[0]
    redirect_to specification_path(id)
  end
  
  def show
    load_spec params[:id]
    respond_to do |wants|
      wants.html {  }
      wants.txt { render :text=> @specification.to_txt }
      #wants.txt { render :text => @google_doc.read('txt') }
      #wants.iphone {}
      wants.xml
      wants.source_html {render :text => @specification.to_source_html }
      wants.compact
    end
  end
  
  def update
    load_spec params[:id]
    
    @specification.use_cases.each do |use_case|
      use_case.steps.each do |step|
        expire_page url_for [@specification, use_case, step]
      end
      expire_page url_for [@specification, use_case]  
    end
    expire_page specification_path(@specification)

    begin 
        @google_doc.refresh!
    rescue Exception => e
        flash[:error] = "#{e} -- you probably don't have permission to access that document."
        redirect_to :back
        return false
    end
    flash[:notice] = "Reloaded document from Google Docs"
    redirect_to :back
  end

 def from_google_doc
   match, id = *params[:id].match(/.+docid=([^\&]+)/)
   id = match ? id : params[:id].to_s.gsub(/\&.*/,'')
   redirect_to specification_path(id)
 end


end
