module SessionHelper
  def column_visibility(id)
    id = id.to_s # just in case 
    session[:tab_layout] = {} if session[:tab_layout].nil?
    session[:tab_layout][id] = "true" if session[:tab_layout][id].nil?
    session[:tab_layout][id].to_s == "true" ? '' : 'collapsed' 
  end
  
  def update_session(key)
    value = session[:tab_layout][key.to_s]
    label = value.to_s == "true" ? "Hide #{key}" : "Show #{key}"
    button_to label, update_session_path,{},[hidden_field_tag("key",key), hidden_field_tag("value",value.to_s=="true" ? "false" : true)]
  end
  
  # copied from url_helper.rb in rails
  def button_to(name, options = {}, html_options = {}, other_tags = [])
    html_options = html_options.stringify_keys
    convert_boolean_attributes!(html_options, %w( disabled ))

    method_tag = ''
    if (method = html_options.delete('method')) && %w{put delete}.include?(method.to_s)
      method_tag = tag('input', :type => 'hidden', :name => '_method', :value => method.to_s)
    end

    form_method = method.to_s == 'get' ? 'get' : 'post'

    request_token_tag = ''
    if form_method == 'post' && protect_against_forgery?
      request_token_tag = tag(:input, :type => "hidden", :name => request_forgery_protection_token.to_s, :value => form_authenticity_token)
    end

    if confirm = html_options.delete("confirm")
      html_options["onclick"] = "return #{confirm_javascript_function(confirm)};"
    end

    url = options.is_a?(String) ? options : self.url_for(options)
    name ||= url

    html_options.merge!("type" => "submit", "value" => name)

    "<form method=\"#{form_method}\" action=\"#{escape_once url}\" class=\"button-to\"><div>" +
      method_tag + tag("input", html_options) + request_token_tag + other_tags.to_s + "</div></form>"
  end
  
  
end
