module UseCaseHelper
    
  def keep_step_number_to_one_line(number)
    number.to_s.length > 3 ? number : "Step #{@use_case_step.number}"
  end
  
 
  def use_case_step_loaded_js
    <<-END
      //if(map_drawer) map_drawer.update([#{@use_case_map.lines_json}], [#{@use_case_map.points_json}]);
      $('.ajax').unbind().click( function(){replaceJourneyAndWireframe(this.href); return false;} );
      $('.use_case_text').hide().fadeIn();
      var select = $("#jump_menu").selectbox();
      $("#jump_menu").change(function(){
            var p =$(this).prev().offset();
            $("#journey_spinner").css({left:(p.left + 10 + 13) + "px", top:(p.top - 26 + 71) + "px"}).show();
            replaceJourneyAndWireframe(this.value);
      });
    END
  end
  
  def use_case_options  use_case , format=""
    [use_case.title, url_for( [@specification,use_case])+format ]
  end
  def journey_options journey
    [journey.title.gsub("<br/>",""), url_for([@specification, @use_case, journey])]
  end
  def step_with_image image_index
    render "use_case_steps/step_image", :index=>image_index
  end
  def thumb_step index
    #content_tag :div, image_tag(   ) , :class=>"thumb"
  end
  def formatted_step step
    step.title_without_number.gsub("USE CASE ENDS","").gsub(/(RETURN TO \d+)/,'')
  end
  
  def render_step_panes
    if @use_case_step.has_multiple_images?
      step_panes = ''
      @use_case_step.image_titles.each_index do |image_index|
        #step_panes += render "use_case_steps/step_column", :index => image_index, :image_title => CONSTANTS[:image_type][image_index]
        step_panes += render_step_pane image_index
      end
      return step_panes
    else
      render_step_pane
    end
  end
  
  def render_step_pane  image_index = nil
    if image_index.nil?
      render "use_case_steps/step_column", :index => 0, :image_title => 'step'
    else
      render "use_case_steps/step_column", :index=>image_index, :image_title => CONSTANTS[:image_type][image_index]
    end
  end
end
