class Journey
  attr_reader :junction, :title
  attr_accessor :current_step, :steps,:connections
  def initialize(options)
    @junction = options[:junction]
    @title = options[:title] || @junction.title
    @steps = options[:steps]
    @connections = options[:connections]
  end
  def to_param
    @junction.to_param || "primary_scenario"
  end
  def first_step
    return steps[0] if steps.length == 1
    steps[ steps[1].kind == :junction ? 2 : 1]
  end
  def current_step_index
     @current_step_index ||= steps.find_index(current_step) || 1
  end
  def next_step
    return nil if (current_step_index >= steps.length - 1)
    jump = steps[current_step_index + 1].kind == :junction ? 2 : 1
    @next_step ||= steps[current_step_index + jump]
    #@next_step = steps[current_step_index + 2] if @next_step.kind == :junction
  end
  def previous_step
     return nil if current_step_index  <= 1
     jump = steps[current_step_index - 1].kind == :junction ? 2 : 1
      @previous_step ||= steps[current_step_index - jump]
  end
  def step_image(image_index)
    @current_step ||= steps.first
    if current_step.images[image_index].nil?
      @previous_step_with_image ||=  steps.slice(0..current_step_index).reverse.find{|step| !step.images[image_index].blank?}
      return @previous_step_with_image.images[image_index][:image] unless @previous_step_with_image.nil? or @previous_step_with_image.images[image_index].nil?
    end
    image = @current_step.images[image_index]
    image[:image] unless image.nil?
  end
  VARIATION_REGEXPS= ['Variation - ','Variation -','Variation', '-', ': ']
  TITLE_REGEXP = /^([^\s]+)(.+)/
  def concise_title
    return title unless title =~ /^\d/
    result = title
    VARIATION_REGEXPS.each{ |r| result.gsub! r, ""  }
    result.gsub(TITLE_REGEXP, '\2')
  end
  def number
    return "" unless title =~ /^\d+/
    title.gsub(TITLE_REGEXP, '\1')
  end

  
end