class LaunchpadSession
  include Digest
  APP_ID = "use-case-mapper"
  INITIAL_REQUEST = {
           :oauth_consumer_key=>APP_ID,
           :oauth_signature_method=>"PLAINTEXT",
           :oauth_signature=>"&"
           }
  def initialize(session={})
    
  end
  
  def get_request_token
    response = RestClient.post "https://edge.launchpad.net/+request-token", INITIAL_REQUEST                                 
    params = CGI::parse(response.to_s)
    @token = params["oauth_token"].to_s
    @secret = params["oauth_token_secret"].to_s
  end
  def authorize_token_url(options)
    "https://edge.launchpad.net/+authorize-token?oauth_token=#{@token}&oauth_callback=#{CGI::escape(options[:callback])}"
  end
  def get_access_token
    response = RestClient.post( "https://edge.launchpad.net/+access-token", 
                                :oauth_signature_method=>"PLAINTEXT",
                                :oauth_consumer_key=>APP_ID,
                                :oauth_token=>@token, 
                                :oauth_signature=>"&#{@secret}")
    params = CGI::parse(response.to_s)
    @token = params["oauth_token"].to_s
    @secret = params["oauth_token_secret"].to_s
  end
  
  def api(path)
    authorization_parts = { 
                    :realm=>"https://api.launchpad.net",
                    :oauth_consumer_key=>APP_ID,
                    :oauth_token=>@token, 
                    :oauth_signature_method=>"PLAINTEXT",
                    :oauth_signature=>"&#{@secret}",
                    :oauth_timestamp=>Time.now.to_i.to_s,
                    :oauth_nonce=>Digest::MD5.new.to_s,
                    :oauth_version=>"1.0"}.map { |k,v| "#{k}=\"#{CGI::escape(v)}\"" }.join(', ')
    headers = { 'Accept'=>'application/json',
                'Authorization'=>"OAuth realm=https://api.launchpad.net,#{authorization_parts}"}
    response = RestClient.get "https://api.launchpad.net/beta/#{path}", headers
    puts response.to_hash['title']
  end
    
  
end