class Specification
  
  def initialize(options)
    unless options.nil?
      @source = options[:google_doc] || options[:wiki_page]
    end
  end
  def method_missing(method_sym, *arguments, &block)
    # the first argument is a Symbol, so you need to_s it if you want to pattern match
    if @source and @source.respond_to?(method_sym, include_private = false)
      @source.send(method_sym, *arguments, &block)
    else
      super
    end
  end

  def original
    @source.original
  end
  def title
    @source.title
  end
  def use_cases
    @source.use_cases
  end
  def use_cases_for_release(release)
    @source.use_cases_for_release(release)
  end
  def use_cases_by_required_feature(required_feature)
    @source.use_cases_by_required_feature(required_feature)
  end
  def features
    @source.features
  end
  def to_param
    @source.to_param
  end
  def to_txt
    @source.to_txt
  end
  def to_source_html
    @source.to_source_html
  end
  def empty?
    true
  end
  def private?
    @source.private?
  end
  
  def previous_use_case(use_case)
    use_cases[use_cases.find_index(use_case) - 1]
  end
  def next_use_case(use_case)
    use_cases[use_cases.find_index(use_case) + 1]  || use_cases.first
  end
  
end
