class WikiPage
  H1 = /^= (.+) =$/
  H2 = /^== (.+) ==$/
  attr_reader :title, :use_cases, :features
  
  def initialize id
    @id = id
    @lines = clean(File.readlines(WikiPage.file_name id))
    @title = @lines.find{ |line| line =~ H1  }.match(H1)[1]
    @use_cases = []
    @features = []
    parse_features!
    
  end
  def self.cache uri
    name = URI::split(uri)[5].split("/")[-1]
  end
  def parse_features!
    @lines.each do |line|
      if line =~ H2
        @features << Feature.new(:title=>line.match(H2)[1])
#      elsif line =~ H3
      else
        unless @features.empty?
          break if line =~ /^= Use Cases =$/
          
          @features.last.add_content line
        end
      end
    end
  end
  def self.clean markup
    markup.map do |line|
      attached, attachment = *line.match(/attachment\:([^\]\}]+)/)
      if attached
        line = "#{original}?action=AttachFile&do=get&target=#{attachment.gsub(" ","+")}"
      end
      line.gsub(/1\. /,"# ").strip
    end
  end
  
  def self.original
    "https://wiki.canonical.com/UserExperienceDesign/Lucid/UNR/#{@id}"
  end
  def to_param
    @id
  end
  def to_txt
    @lines.join("\n")
  end
  def self.cached?(id)
    File.exists?(file_name id)
  end
  def self.file_name id
    "tmp/cache/#{id}.txt"
  end
end