  # Be sure to restart your server when you modify this file

# Specifies gem version of Rails to use when vendor/rails is not present
RAILS_GEM_VERSION = '2.3.4' #unless defined? RAILS_GEM_VERSION

# Bootstrap the Rails environment, frameworks, and default configuration
require File.join(File.dirname(__FILE__), 'boot')

raw_constants = File.read(RAILS_ROOT + "/config/constants.yml")
CONSTANTS = YAML.load(raw_constants).inject({}) do |options, (key, value)|
  options[(key.to_sym rescue key) || key] = value
  options
end

Rails::Initializer.run do |config|
  # Settings in config/environments/* take precedence over those specified here.
  # Application configuration should go into files in config/initializers
  # -- all .rb files in that directory are automatically loaded.

  # Add additional load paths for your own custom dirs
  # config.load_paths += %W( #{RAILS_ROOT}/extras )
  config.load_paths += %W( #{RAILS_ROOT}/app/sweepers )
  # Specify gems that this application depends on and have them installed with rake gems:install
  # config.gem "bj"
  # config.gem "hpricot", :version => '0.6', :source => "http://code.whytheluckystiff.net"
  # config.gem "sqlite3-ruby", :lib => "sqlite3"
  # config.gem "aws-s3", :lib => "aws/s3"
  config.gem "haml"
  config.gem "gdata"
  config.gem "hpricot"
  config.gem "mediacloth"
  #config.gem "rest-client", :lib=>'rest_client'
  #config.gem "ruby-openid"

  config.gem "prawn"

  # Only load the plugins named here, in the order given (default is alphabetical).
  # :all can be used as a placeholder for all plugins not explicitly named
  # config.plugins = [ :exception_notification, :ssl_requirement, :all ]

  config.frameworks -= [ :active_resource, :action_mailer, :active_record ]

  # Activate observers that should always be running
  # config.active_record.observers = :cacher, :garbage_collector, :forum_observer

  # Set Time.zone default to the specified zone and make Active Record auto-convert to this zone.
  # Run "rake -D time" for a list of tasks for finding time zone names.
  config.time_zone = 'UTC'

  # The default locale is :en and all translations from config/locales/*.rb,yml are auto loaded.
  # config.i18n.load_path += Dir[Rails.root.join('my', 'locales', '*.{rb,yml}')]
  # config.i18n.default_locale = :de
end

#require 'hpricot'
#require 'prawn'

module ActiveSupport
  class BufferedLogger
    alias_method :old_add, :add
    def add(severity, message = nil, progname = nil, &block)
      message="\033[1;31m#{message}\033[0m" if severity==WARN 
      old_add severity, message , progname
    end
  end
end
