ActionController::Routing::Routes.draw do |map|
  
  map.resources(:specifications, :collection=>{:from_google_doc => :post, :from_wiki_page=>:post}) do |specifications|
    specifications.resources :features
    specifications.resources :use_cases do |use_cases|
      use_cases.resources :journeys do |journey|
        journey.resources :steps, :controller=>'use_case_steps'
      end
      use_cases.resources :steps, :controller=>'use_case_steps'
    end
    specifications.resources :release do |release|
      release.resources :use_cases 
    end
    specifications.resources :required_features do |required_feature|
      required_feature.resources :use_cases
    end
  end
  
  map.test_google_docs 'test_google_docs', :controller=>'application',:action=>'test_google_docs'
  
  map.create_session 'session/create', :controller=>'session', :action=>'create'
  map.update_session 'session', :controller=>'session', :action=>'update', :method=>:put
  map.logout 'logout', :controller=>'session', :action=>'destroy'

  map.connect  "help", :controller=>:index, :action=>"help"
  map.root :controller => :index

 
end
