# these requires kill rake gems:install too
#require 'wiki_page'
#require 'mediacloth'
#require 'hpricot'
def convert doc
  content = File.readlines doc
  
  index = 1
  title_index = 1
  content = content.map do |line|
    line.gsub!(/^  1\. /,"# ")
    if line =~ /\# /
      line.gsub! "# ","#{index}. "
      index += 1
    else
      index = 1
    end
    
    if line =~ /^== /
      line.gsub! /^==/, "== 2.#{title_index} "
      title_index+=1
    end
    
    line.gsub! /(\d)([abcdefghijkl])\./, '\1.\2'
    
    line
  end
  
  out = "import/converted/#{File.basename(doc, File.extname(doc))}.html"
  
  File.open(out,'w') do |file|
    file << %[ <style type="text/css"> * {font-family: Arial, "MS Trebuchet", sans-serif;} </style> ]
    file << MediaCloth::wiki_to_html( content.join("\n").to_s  ).gsub("h3\>", "b>").gsub("h2\>","h3>")
  end
  puts "Wrote #{out}"
end

desc "Convert documents from wiki format to Google Docs format"
task :convert_wiki do
  docs = Dir.entries("import/originals").select{ |entry| !(entry =~ /^\./)  }
  docs.each do |doc|
    convert "import/originals/#{doc}"
  end
end
