require File.dirname(__FILE__) + '/../test_helper'

class StepTest < ActiveSupport::TestCase
 test "sorting" do
   low = Step.new(:kind=>:junction, :number=>'1')
   
   high = Step.new(:kind=>:variation_child, :number=>'2.a.1', :small_number=>'1')
   assert_equal 1, high <=> low, "High step should be greater than lower step"
   
   variation_next = Step.new(:kind=>:reconnect, :number=>'2.a.2', :small_number=>'2')
   assert_equal 1, variation_next <=> high, "next variation step should be after previous variation step"
   
   return_to_step = Step.new(:kind=>:primary, :number=>'2')
   assert_equal -1, variation_next <=> return_to_step, "Return-to step should always be after the variation child steps"
   assert_equal 1, return_to_step <=> variation_next, "The comparison operator should work both ways round"
   
 end
end